/* ............................................................ */
/* SR UDFs Library (srudf.dll)                                  */
/* FREE Lite Edition - Windows Platform                         */
/* -------------------------------------------------------------*/
/* SRMaster                                                     */
/* www.srmaster.com                                             */
/* support@srmaster.com                                         */
/* .............................................................*/

/****************************************************************/
/*                           Math Functions                     */
/****************************************************************/

DECLARE EXTERNAL FUNCTION SR_ABS
    DOUBLE PRECISION
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_abs' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_ARCCOS
    DOUBLE PRECISION
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_arccos' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_TAN
    DOUBLE PRECISION
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_tan' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_TANH
    DOUBLE PRECISION
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_tanh' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_ARCSIN
    DOUBLE PRECISION
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_arcsin' MODULE_NAME 'srudf.dll';
    
DECLARE EXTERNAL FUNCTION SR_ARCTAN2
    DOUBLE PRECISION,
    DOUBLE PRECISION
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_arctan2' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_ARCTANH
    DOUBLE PRECISION
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_arctanh' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_AND
    INTEGER,
    INTEGER
    RETURNS INTEGER BY VALUE
    ENTRY_POINT 'sr_and' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_OR
    INTEGER,
    INTEGER
    RETURNS INTEGER BY VALUE
    ENTRY_POINT 'sr_or' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_XOR
    INTEGER,
    INTEGER
    RETURNS INTEGER BY VALUE
    ENTRY_POINT 'sr_xor' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_CEIL
    DOUBLE PRECISION
    RETURNS INTEGER BY VALUE
    ENTRY_POINT 'sr_ceil' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_COSH
    DOUBLE PRECISION
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_cosh' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_COTAN
    DOUBLE PRECISION
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_cotan' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_DIV
    INTEGER,
    INTEGER
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_div' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_MOD
    INTEGER,
    INTEGER
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_mod' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_FLOOR
    DOUBLE PRECISION
    RETURNS INTEGER BY VALUE
    ENTRY_POINT 'sr_floor' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_LN
    DOUBLE PRECISION
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_ln' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_LOG10
    DOUBLE PRECISION
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_log10' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_LOG2
    DOUBLE PRECISION
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_log2' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_LOGN
    DOUBLE PRECISION,
    DOUBLE PRECISION
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_logn' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_MAX
    DOUBLE PRECISION,
    DOUBLE PRECISION
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_max' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_MIN
    DOUBLE PRECISION,
    DOUBLE PRECISION
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_min' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_PI

    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_pi' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_RANDINT

    RETURNS INTEGER BY VALUE
    ENTRY_POINT 'sr_randint' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_SINH
    DOUBLE PRECISION
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_sinh' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_SQR
    DOUBLE PRECISION
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_sqr' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_TRUNC
    DOUBLE PRECISION
    RETURNS INTEGER BY VALUE
    ENTRY_POINT 'sr_trunc' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_POWER
    DOUBLE PRECISION,
    DOUBLE PRECISION
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_power' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_FRAC
    DOUBLE PRECISION
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_frac' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_INT
    DOUBLE PRECISION
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_int' MODULE_NAME 'srudf.dll';

DECLARE EXTERNAL FUNCTION SR_INTPOWER
    DOUBLE PRECISION,
    INTEGER
    RETURNS DOUBLE PRECISION BY VALUE
    ENTRY_POINT 'sr_intpower' MODULE_NAME 'srudf.dll';
